<?php
include('config.php');
include('util.php');
require 'credis/Client.php';

$api = 'http://pokeapi.co/api/v2/pokemon/';

$pokemon_name = strtolower($_GET['value']);

if(ctype_alpha($pokemon_name)){
    $redis = new Credis_Client($redis_host, $redis_port, null, '', $redis_db);
    $result = $redis->get('pokemon:'.$pokemon_name);
    if(!$result){
        $pokemon_full = json_decode(get_web_page($api.$pokemon_name.'/', $trainerName));
        if(@$pokemon_full->detail){
            $result = '{"error": "Pokemon unknown"}';
        }
        else{
            $pokemon = new stdClass();
            $pokemon->name = $pokemon_full->name;
            $pokemon->id = $pokemon_full->id;
            $pokemon->height = $pokemon_full->height;
            $pokemon->weight = $pokemon_full->weight;
            $pokemon->img = base64_encode(get_web_page($pokemon_full->sprites->front_default, $trainerName));
            $pokemon->type = $pokemon_full->types[0]->type->name;
            
            $result = json_encode($pokemon);
            $redis->set('pokemon:'.$pokemon_name, $result);
        }
    }
    echo $result;
}
else{
    echo '{"error": "Bad value"}';
}
?>
