<?php

function getPageName()
{
	global $PAGES;

	$page = getGet('page');

	if (in_array($page, $PAGES)) {
		return constant($page);
	}

	return home;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print safeHTML($lang); ?>">
  <head>
	  <title><?php print SITENAME.' - '.getPageName(); ?></title>
	<meta name="language" content="<?php print safeHTML($lang); ?>" />
	<meta name="title" content="<?php print SITENAME; ?>" />
	<meta name="owner" content="<?php print SITENAME; ?>" />
	<meta name="author" content="<?php print SITENAME; ?>" />
	<meta name="publisher" content="<?php print SITENAME; ?>" />
	<meta name="copyright" content="<?php print SITENAME; ?>" />
	<meta name="robots" content="index, follow" />
	<meta name="category" content="challenge,hacking" />
	<meta name="keywords" content="challenges,hacking,hack,pown,fu,rootme,hackme" />
	<meta name="description" content="HACKME BABY! /FACEPALM - Hacking challenge for w3challs.com" />
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-language" content="<?php print safeHTML($lang); ?>" />
	<link href="/css/style.css" media="screen" title="css" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" type="/images/x-icon" href="/images/fav.png" />
	<link rel="start" title="Home" href="/index.php" />
	<script type="text/javascript" src="/scripts/jquery-1.6.1.min.js"></script>
	<script type="text/javascript" src="/scripts/jquery.prettyPhoto.js" charset="utf-8"></script>
	<script type="text/javascript" src="/scripts/jquery.corner.js"></script>
	<script type="text/javascript" src="/scripts/jquery.validate.js"></script>
	<script type="text/javascript" src="/scripts/jquery.script.js"></script>
  </head>
<body>
