<?php

if (getSession('facepalm_auth') == TRUE)
	die(alreadyAuth);

$login = getPost('login');
$password = getPost('password');

# Authentication

if (!is_null($login) && !is_null($password) && checkToken('facepalm_anticsrf'))
{
	$query = $db->prepare("
		SELECT * FROM facepalm_users
		WHERE login=:login AND password=:password"
	);

	$query->bindParam(':login', $login, PDO::PARAM_STR);
	$query->bindParam(':password', getPassword($login, $password), PDO::PARAM_STR);
	$query->execute();

	if ($query->rowCount() == 1) {
		$row = $query->fetch(PDO::FETCH_ASSOC);

		$query = $db->prepare("
			UPDATE facepalm_users
			SET ip=:ip
			WHERE login=:login"
		);

		$query->bindParam(':ip', getIp(), PDO::PARAM_STR);
		$query->bindParam(':login', $login, PDO::PARAM_STR);
		$query->execute();

		setSession('facepalm_auth', TRUE);
		setSession('facepalm_ip', getIp());
		setSession('facepalm_isadmin', $row['secret_code'] != NULL);

		print '<div class="validated">'.authSUCCESS.'</div>';
		print '<script>setTimeout("location.href=\'/'.$lang.'/home/\'", 2000);</script>';
	} else {
		print '<div class="fail">'.authFAIL.'</div>';
	}
}

if (is_null($login)) {
	$login = '';
}

if (is_null($password)) {
	$password = '';
}

print '<div>';
print '<form method="post" action="" class="validate">';
printf('<input type="hidden" name="facepalm_anticsrf" value="%s" />', getToken('facepalm_anticsrf'));
print '<table>
		<tr><td><h2>'.connectionLogin.'</h2></td></tr>';

printf('<tr><td><blockquote class="box">
	<table>
		<tr>
			<td><strong>Login</strong>%3$s</td>
			<td><input type="text" size="15" name="login" value="%1$s" class="required" /></td>
		</tr>
		<tr>
			<td><strong>Password</strong>%3$s</td>
			<td><input type="password" size="15" name="password" value="%2$s" class="required" /></td>
		</tr>
		<tr>
			<td colspan="2" class="center"><br /><br /><input name="submit" type="submit" value="%4$s" /></td>
		</tr>
	</table>
	</blockquote></td></tr>',
	safeHTML($login),
	safeHTML($password),
	mandatory,
	connect
);

print '</table>';
print '</form>';
print '</div>';

?>
