<?php

$query = $db->prepare('
	SELECT name, author, path
	FROM facepalm_gallery
	ORDER BY RAND()
	LIMIT 1'
);

$query->execute();

$row = $query->fetch(PDO::FETCH_ASSOC);

print '<div class="center">';
printf('<img src="/images/facepalm/%3$s" title="%1$s - '.proposedBy.' %2$s" alt="%1$s" style="border: 1px solid #FFFFFF;" />',
	safeHTML($row['name']),
	safeHTML($row['author']),
	safeHTML($row['path'])
);
print '</div>';

?>
