package johndog.core;

import java.io.*;
import java.net.*;

public class JDConnectionHandler extends Thread {

	private Socket socket;

	public JDConnectionHandler(Socket socket) {
		this.socket = socket;
		this.start();
	}
	
	public void run() {
		try {
			BufferedReader input = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			DataOutputStream out = new DataOutputStream(socket.getOutputStream());
			
			JDHTTPRequest request = new JDHTTPRequest();
			
			request.parseRequest(input);
			request.parseHeaders(input);
			request.parseData(input);
			
			request.doResponse(out);
			
			socket.close();
		} catch (Exception ex) { }
	}
}
